List calendarView
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get the occurrences, exceptions, and single instances of events in a calendar view defined by a time range, from the default calendar of a group.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Group.Read.All, Group.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
GET /groups/{id}/calendarView?startDateTime={start_datetime}&endDateTime={end_datetime}
Query parameters
In the request URL, provide the following required query parameters with values.
| Parameter | Type | Description |
|---|---|---|
| startDateTime | String | The start date and time of the time range, represented in ISO 8601 format. For example, "2019-11-08T19:00:00-08:00". |
| endDateTime | String | The end date and time of the time range, represented in ISO 8601 format. For example, "2019-11-08T20:00:00-08:00". |
The values of startDateTime and endDateTime are interpreted using the timezone offset specified in the value and are not impacted by the value of the Prefer: outlook.timezone header if present. If no timezone offset is included in the value, it is interpreted as UTC.
This method also supports some of the OData Query Parameters to help customize the response.
Note
The createdDateTime and lastModifiedDateTime properties of event do not support $select. To get their values, simply query on calendarView without applying $select.
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
| Prefer: outlook.timezone | string | Use this to specify the time zone for start and end times in the response. If not specified, those time values are returned in UTC. Optional. |
| Prefer: outlook.body-content-type | string | The format of the body property to be returned in. Values can be "text" or "html". A Preference-Applied header is returned as confirmation if this Prefer header is specified. If the header is not specified, the body property is returned in HTML format. Optional. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and collection of event objects in the response body.
Example
Request
The following example requests event bodies to be returned in text format.
GET https://graph.microsoft.com/beta/groups/02bd9fd6-8f93-4758-87c3-1fb73740a315/calendarView?startDateTime=2017-01-01T19:00:00-08:00&endDateTime=2017-10-01T19:00:00.00-08:00
Prefer: outlook.body-content-type="text"
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
Preference-Applied: outlook.body-content-type="text"
{
"@odata.context":"https://graph.microsoft.com/beta/$metadata#groups('02bd9fd6-8f93-4758-87c3-1fb73740a315')/calendarView",
"@odata.nextLink":"https://graph.microsoft.com/beta/groups/02bd9fd6-8f93-4758-87c3-1fb73740a315/calendarView?startDateTime=2017-01-01T19%3a00%3a00.0000000&endDateTime=2017-10-01T19%3a00%3a00.00&$skip=10",
"value":[
{
"@odata.etag":"W/\"xPZF2y46pEiVBni87OnrpgAAFq78Xw==\"",
"id":"AAMkAGI5MWYJOwAAEA==",
"createdDateTime":"2017-07-31T18:59:01.982289Z",
"lastModifiedDateTime":"2017-09-06T04:29:38.6647687Z",
"changeKey":"xPZF2y46pEiVBni87OnrpgAAFq78Xw==",
"categories":[
],
"originalStartTimeZone":"Eastern Standard Time",
"originalEndTimeZone":"Eastern Standard Time",
"uid":"040000008200E00074C5B7101A82E00807E1080E824DDB122F0AD301000000000000000010000000824A8905B038D54AA7735F117B3442ED",
"reminderMinutesBeforeStart":15,
"isReminderOn":true,
"hasAttachments":false,
"subject":"New Training Plans",
"bodyPreview":"Meeting to plan new trainings.\r\n\r\n\r\n\r\nJoin Microsoft Teams Online Meeting<https://teams.microsoft.com/l/meetup-join/19%3a900876baa3134907b0dcb41a0d220e31%40thread.skype/1501527539926?tenantId=dcd219dd-bc68-4b9b-bf0b-4a33a796be35>",
"importance":"normal",
"sensitivity":"normal",
"isAllDay":false,
"isCancelled":false,
"isOrganizer":true,
"responseRequested":true,
"seriesMasterId":null,
"showAs":"busy",
"type":"singleInstance",
"webLink":"https://outlook.office365.com/owa/?itemid=AAMkAGI5MWYJOwAAEA%3D%3D&exvsurl=1&path=/calendar/item",
"onlineMeetingUrl":null,
"responseStatus":{
"response":"organizer",
"time":"0001-01-01T00:00:00Z"
},
"body":{
"contentType":"text",
"content":"Meeting to plan new trainings.\r\n\r\n\r\n\r\nJoin Microsoft Teams Online Meeting<https://teams.microsoft.com/l/meetup-join/19%3a900876baa3134907b0dcb41a0d220e31%40thread.skype/1501527539926?tenantId=dcd219dd-bc68-4b9b-bf0b-4a33a796be35>\r\n"
},
"start":{
"dateTime":"2017-08-14T21:00:00.0000000",
"timeZone":"UTC"
},
"end":{
"dateTime":"2017-08-14T22:00:00.0000000",
"timeZone":"UTC"
},
"location":{
"displayName":"HR Taskforce / Facilities"
},
"recurrence":null,
"attendees":[
{
"type":"required",
"status":{
"response":"none",
"time":"0001-01-01T00:00:00Z"
},
"emailAddress":{
"name":"HR Taskforce",
"address":"HRTaskforce@contoso.onmicrosoft.com"
}
},
{
"type":"required",
"status":{
"response":"none",
"time":"0001-01-01T00:00:00Z"
},
"emailAddress":{
"name":"Megan Bowen",
"address":"MeganB@contoso.onmicrosoft.com"
}
}
],
"organizer":{
"emailAddress":{
"name":"HR Taskforce",
"address":"HRTaskforce@contoso.onmicrosoft.com"
}
}
},
{
"@odata.etag":"W/\"xPZF2y46pEiVBni87OnrpgAAFq78Xw==\"",
"id":"AAMkAGI5MWYJOwAAEA==",
"createdDateTime":"2017-07-31T18:59:01.982289Z",
"lastModifiedDateTime":"2017-09-06T04:29:38.6647687Z",
"changeKey":"xPZF2y46pEiVBni87OnrpgAAFq78Xw==",
"categories":[
],
"originalStartTimeZone":"Eastern Standard Time",
"originalEndTimeZone":"Eastern Standard Time",
"uid":"040000008200E00074C5B7101A82E00807E10810824DDB122F0AD301000000000000000010000000824A8905B038D54AA7735F117B3442ED",
"reminderMinutesBeforeStart":15,
"isReminderOn":true,
"hasAttachments":false,
"subject":"New Training Plans",
"bodyPreview":"Follow-up meeting to plan new trainings.\r\n\r\n\r\n\r\nJoin Microsoft Teams Online Meeting<https://teams.microsoft.com/l/meetup-join/19%3a900876baa3134907b0dcb41a0d220e31%40thread.skype/1501527539926?tenantId=dcd219dd-bc68-4b9b-bf0b-4a33a796be35>",
"importance":"normal",
"sensitivity":"normal",
"isAllDay":false,
"isCancelled":false,
"isOrganizer":true,
"responseRequested":true,
"seriesMasterId":null,
"showAs":"busy",
"type":"singleInstance",
"webLink":"https://outlook.office365.com/owa/?itemid=AAMkAGI5MWYJOwAAEA%3D%3D&exvsurl=1&path=/calendar/item",
"onlineMeetingUrl":null,
"responseStatus":{
"response":"organizer",
"time":"0001-01-01T00:00:00Z"
},
"body":{
"contentType":"text",
"content":"Meeting to plan new trainings.\r\n\r\n\r\n\r\nJoin Microsoft Teams Online Meeting<https://teams.microsoft.com/l/meetup-join/19%3a900876baa3134907b0dcb41a0d220e31%40thread.skype/1501527539926?tenantId=dcd219dd-bc68-4b9b-bf0b-4a33a796be35>\r\n"
},
"start":{
"dateTime":"2017-08-16T21:00:00.0000000",
"timeZone":"UTC"
},
"end":{
"dateTime":"2017-08-16T22:00:00.0000000",
"timeZone":"UTC"
},
"location":{
"displayName":"HR Taskforce / Facilities"
},
"recurrence":null,
"attendees":[
{
"type":"required",
"status":{
"response":"none",
"time":"0001-01-01T00:00:00Z"
},
"emailAddress":{
"name":"HR Taskforce",
"address":"HRTaskforce@contoso.onmicrosoft.com"
}
},
{
"type":"required",
"status":{
"response":"none",
"time":"0001-01-01T00:00:00Z"
},
"emailAddress":{
"name":"Megan Bowen",
"address":"MeganB@contoso.onmicrosoft.com"
}
}
],
"organizer":{
"emailAddress":{
"name":"HR Taskforce",
"address":"HRTaskforce@contoso.onmicrosoft.com"
}
}
}
]
}
Feedback
Submit and view feedback for